> For the complete documentation index, see [llms.txt](https://docs-processing.crypto-chief.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-processing.crypto-chief.com/currencies/calculate-crypto-to-fiat-amount.md).

# Calculate Crypto to Fiat Amount

**Calculates the fiat equivalent of a given cryptocurrency amount using current exchange rate data.**

The calculation is informational only and does **not** perform any cryptocurrency or fiat exchange operations.

#### Calculate Crypto to Fiat Amount

<mark style="color:green;">`POST`</mark> `https://api-processing.crypto-chief.com/v1/currencies/convert/crypto-fiat`

**Headers**

| Name         | Value               |
| ------------ | ------------------- |
| Content-Type | `application/json`  |
| Signature    | Signed request body |
| Merchant     | Merchant ID         |

**Body**

| Name       | Type                                                      | Required | Description                  |
| ---------- | --------------------------------------------------------- | -------- | ---------------------------- |
| `provider` | [DATA\_SOURCE](/general/exchange-data-sources.md)         | false    | Exchange rate data source    |
| `from`     | [CRYPTO\_CURRENCY](/currencies/list-crypto-currencies.md) | true     | Target cryptocurrency ticker |
| `to`       | [FIAT](/currencies/list-fiat-currencies.md)               | true     | Source fiat currency code    |
| `amount`   | string                                                    | true     | Amount in source currency    |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "amount_crypto": 5000,
    "amount_fiat": 388011.715,
    "crypto": "USDT",
    "crypto_to_usdt": 1,
    "exchange": "any",
    "fiat": "INR",
    "fiat_to_usd": 0.01288620886098761,
    "timestamp_crypto": 1768826655,
    "timestamp_fiat": 1768826655
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "error": "INVALID_PARAMS",
    "msg": "from, to and amount are required",
    "ok": false
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-processing.crypto-chief.com/currencies/calculate-crypto-to-fiat-amount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
